Subject: Re: Why I support deprecating SLs

From: Dan Lanciani <[email-masked]>
Date: Sat, 5 Apr 2003 17:30:03 -0500 (EST)

Leif Johansson <[email-masked]> wrote:

|Dan Lanciani wrote:
|
|>the causes--of a restrictive address allocation policy.  Would you deprive
|>people of the address space they need to run the applications they need to
|>run just to make it easier to write some other super-apps that those users
|>  
|>
|
|No I want people to have global addresses!

That may be what you want, but that is not what you have been saying.  You
are advocating taking away private address space.  Contrary to recent popular
(yet incomprehensible) thought these actions are not equivalent.  How about
you FIRST give people global addresses and THEN AFTER those people see that
those addresses have the properties that they need in order to use their
networks you can take away their private addresses?  I'm sure that most people
will willingly give up their private address space AFTER they have globals
with the same (or better) level of stability.

				Dan Lanciani
				ddl@danlan.*com
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Margaret Wasserman <[email-masked]>
Date: Sat, 05 Apr 2003 18:14:20 -0500

>are advocating taking away private address space.

What private address space do you think that these people have now
that we are advocating "taking away"?

The site-local prefix is defined in the addressing architecture,
but nothing about its usage is defined there.  There are three
documents published that define different possibilities for the
usage of site-local addressing,  The most complete proposal is
the "full" proposal defined in the scoped addressing architecture,
a WG I-D.  It is pretty clear at this point, though (and has been
since Yokohama last summer, at least) that we don't have WG
consensus to send the current scoped addressing architecture
document to the IESG for publication as an RFC.  The other
two documented proposals for site-local usage are the "moderate"
proposal and the "limited" proposal, personal drafts from
Bob Hinden and me, respectively.  All three of these usage models
are consistent with the definition of the site-local prefix
that appears in the addressing architecture.

The WG officially rejected the "full" proposal at the Atlanta
IETF.  At that time, we did not have other proposals documented,
but we had discussed the range of possible proposals and had
agreed to consider something between the "moderate" and
"limited" proposals, so Bob and I documented them.  In
San Francisco, it became clear that all of the proposals for
site-local usage have issues that outweigh their benefits.

So, it is certainly safe to say that we don't have _any_
proposal on the table for the usage of site-local addresses
that currently has WG consensus.  So, what is it that you
think we are "taking away"?

The proposal is to deprecate a prefix in the addressing
architecture for which we have found no suitable use.

There are parts of the scoped addressing architecture (multicast
scopes and link-local) on which we do seem to have WG consensus.
And, I do hope that those parts will be finalized and progressed
ASAP.

Margaret

---

From: Leif Johansson <[email-masked]>
Date: Sun, 06 Apr 2003 00:09:48 +0200

>with the same (or better) level of stability.
I was not aware that there was a problem getting global v6 addresses! 
Please explain.
Or perhaps you are thinking about global addresses with certain 
properties (provider
independence perhaps)? Please make the distinction for the sake of clarity.

BTW There is a flaw in your reasoning; people never give up any type of 
addresses,
private or global. Once products are shipping with support for v6 
private addresses
thats it. Private addresses won't go away if we let the cat out of the 
bag now.

       MVH leifj